Skip to main content
GET
List attachments for a transaction
Authentication: API key OAuth 2.0
Scope: organization.read Sensitive
In the Qonto app, attachments are files uploaded onto transactions by users. Attachments typically correspond to the invoice or receipt, and are used to justify the transactions from a bookkeeping standpoint. You can retrieve the IDs of those attachments inside each transaction object, by calling GET /v2/transactions. Probative attachment is another version of attachment, compliant with PAdES standard.
For security reasons, the url you retrieve for each attachment is only valid for 30 minutes. If you need to download the file after more than 30 minutes, you will need to perform another authenticated call in order to generate a new download URL.
If you download the file using curl, replace the \\u0026 references by & in the url string.

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Path Parameters

id
string
required
Example:

"aab86d8a-0d4c-4749-9a49-0ada88a9c423"

Query Parameters

page
string

Returned page (cf. Pagination).

per_page
string

Number of attachments per page (cf. Pagination).

Response

Returns the list of attachments for the transaction identified by the id path parameter.

attachments
(object | null)[]